import { MigrationInterface, QueryRunner, TableColumn } from "typeorm";
import { getTypeByORM, getDefaultByORM } from "./ormHelper";

export class QueryUpdatedAt1744795756230 implements MigrationInterface {
  name = "QueryUpdatedAt1744795756230";

  public async up(queryRunner: QueryRunner): Promise<void> {
    await queryRunner.addColumn(
      "query",
      new TableColumn({
        name: "updatedAt",
        ...getTypeByORM("datetime", false, 6),
        default: getDefaultByORM("currentTimestamp", 6),
        onUpdate: getDefaultByORM<string>("currentTimestamp", 6),
      })
    );
  }

  public async down(queryRunner: QueryRunner): Promise<void> {
    await queryRunner.dropColumn("query", "updatedAt");
  }
}
